<HTML>
<HEAD>
<link rel="stylesheet" type="text/css" href="php.css">
<meta http-equiv="Content-Type" content="text/html; charset=windows-1251">
<title>MyPHP - Генератор посещений</title>
<?
require("config.php");

function show_form() {
	global $base;
	?>
<frame src="<?=$line[$j];?>">
</head>
	<table cellspacing="0" cellpadding="0" bgcolor="#2C5D92"><tr><td>
	<table class="text" width="152" cellspacing="1"><tr>
	<td width=152 bgcolor="#2C5D92"><center><p class="small"><font color="#EEEEEE"><b>MyPHP Visits Generator</td></tr><tr>
	<td width=152 bgcolor="#EEEEEE"><p class="small">URL страницы</td></tr><tr>
	<td bgcolor="#FFFFFF">
	<input type="text" name="url" value="http://" size="25" class="form"></td></tr>
	<tr>
	<td bgcolor="#EEEEEE"><p class="small">
	Тип генератора посещений</td></tr><tr><td bgcolor="#FFFFFF">
	<select name="type">
	<? 
	$file = file($base);
	for ($i=0; $i<sizeof($file); $i++) {
		$line = explode("trafikgen2", $file[$i]);
		echo "<option value='$line[0]'>1x$line[0]</option>";
	}
	?>	
	</select>
	</select>
	</td></tr>
	<tr><td bgcolor="#EEEEEE">
	<input type="submit" value="Добавить" name="first" class="form">
	</td>
    </tr>
    </table>
	</tr></td></table>	
<p><?
}

function set_myurl() {
	global $base, $MySite;

	$file = file($base);
	for ($i=0; $i<sizeof($file); $i++) {
		$line = explode("^^", $file[$i]);
		for ($j=$line[0]; $j>=1; $j--) {
			$line[$j] = trim($line[$j]);
			if (empty($line[$j])) $line[$j] = $MySite;
		}
		$file[$i] = implode("^^", $line)."\n";
	}
	$fp = fopen($base,"w");
	for ($j=0; $j<sizeof($file); $j++) {
		fputs ($fp, $file[$j]);
	}
	fclose($fp);
}
function check_url() {
	global $ErrUrl, $url, $base, $type;

	$url = htmlspecialchars($url);
	$url = strtolower($url);
	$url = preg_quote($url);
	if (ereg($url, $ErrUrl)) exit("<h3>Введенный URL запрещен администратором");
	$file = file($base);
	for ($i=0; $i<sizeof($file); $i++) {
		$line = explode("^^", $file[$i]);
		if ($line[0]==$type) {
			$line2 = implode("^^", $line);
			if (eregi($url, $line2)) exit("<h3>Данный URL уже занесен в базу. Попытайтесь попозже.</h3>");
		}
	}
	$url = stripslashes($url);
	if (!preg_match("<^http://[^\.]+\..+>", $url) || preg_match("/[а-я]/", $url)) exit("<h3>Неверно введен URL</h3>");

}

function add_url() {
	global $base, $url, $type, $MySite;

	$file = file($base);
	for ($i=0; $i<sizeof($file); $i++) {
		$line = explode("^^", $file[$i]);
		if ($line[0]==$type) {
			for ($j=$line[0]; $j>=2; $j--) {
				$line[$j] = $line[$j-1];
			}
			$line[1] = $url;
		}
		$file[$i] = implode("^^", $line);
		$file[$i] = str_replace("^^^^", "^^", $file[$i]);
		$file[$i] = str_replace("^^\n", "\n", $file[$i]);
		$file[$i] = trim($file[$i])."\n";
	}
	$fp = fopen($base,"w");
	for ($j=0; $j<sizeof($file); $j++) {
		fputs ($fp, $file[$j]);
	}
	fclose($fp);
}

function show_sites() {
	global $base, $type, $url;

	$file = file($base);
	for ($i=0; $i<sizeof($file); $i++) {
		$line = explode("^^", $file[$i]);
		if ($line[0]==$type) {
			echo "<frameset rows='";
			$num = round(85/$line[0]);
			for ($q=0; $q<sizeof($line)-1; $q++) {
				echo $num."%,";
			}
			echo "15%'>";
			for ($j=1; $j<sizeof($line); $j++) {
				?>
								<?
			}
			echo "<frame src='bottom.php?url=$url&type=$type'></frameset>";
		}
	}
	return true;
}

if ($first) {
	check_url();
	set_myurl();
	if (!show_sites()) exit("Добавление сайта прервано из-за возникшей ошибки");
}
if ($submit && $timer!=">>>") header("Location: bottom.php?url=$url&type=$type");

if ($submit && $timer==">>>") {
	add_url();
	echo "<center><h1>Ваш сайт успешно добавлен!</h1></center>";
} else {
	show_form();
}
?>